Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1195846 - Dnf still transmit data when auto-updates stoped.
Summary: Dnf still transmit data when auto-updates stoped.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 17:17 UTC by Mosaab Alzoubi
Modified: 2019-05-28 19:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:26:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Mosaab Alzoubi 2015-02-24 17:17:13 UTC
Description of problem:

Since fixing bug928726 , DNF update its data by auto without any authorization from user.  Even after stopping auto-update.

After long discuss here:
http://comments.gmane.org/gmane.linux.redhat.fedora.devel/205133

My fellow Matthew Miller (leader of our project) asked me to write a strong case about this issue.

Just for remember, Fedora official wiki :
"At Fedora, your privacy is important to us."


Version-Release number of selected component (if applicable):

Fedora (21 and above)



How reproducible:

After Installation Fedora.



Expected results:

- Never receive any data (META and others) when auto-updates disabled.
- Ask user during Fedora Installation if he want auto updates. (Anaconda part, I'll replace bug component to anaconda after fix Dnf part)



Regards 
Mosaab


https://badges.fedoraproject.org/user/moceap

Comment 1 Honza Silhan 2015-03-13 10:51:40 UTC
(In reply to Mosaab Alzoubi from comment #0)
> Just for remember, Fedora official wiki :
> "At Fedora, your privacy is important to us."

The privacy could be violated by installing wrong software. You should add to `/etc/yum.repos.d/` only the repositories you trust. If you are adding any third-party repository to the config and do "privacy" prevention by disabling metadata updates then it's something wrong here.

> - Never receive any data (META and others) when auto-updates disabled.

If by "auto-updates" you mean the updating of metadata then it can be disabled by setting `metadata_timer_sync=0` [1].

The real software updates should not happen if you don't have dnf-automatic installed.

> - Ask user during Fedora Installation if he want auto updates. (Anaconda
> part, I'll replace bug component to anaconda after fix Dnf part)

DNF part is done -> reassigning.

[1] http://dnf.readthedocs.org/en/latest/conf_ref.html?highlight=metadata_timer_sync#main-options

Sincerely,
Honza

Comment 2 Jan Kurik 2015-07-15 14:30:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Mosaab Alzoubi 2016-05-07 20:18:49 UTC
Still in rawhide .

Comment 4 Jan Kurik 2016-07-26 04:04:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Fedora End Of Life 2017-11-16 19:38:05 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-02-20 15:22:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 7 Ben Cotton 2019-05-02 22:08:01 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-28 19:26:57 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.